export default class _default {
    static MoreFileIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): React.JSX.Element;
    static LikeHeartIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): React.JSX.Element;
    static LikeRedIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): React.JSX.Element;
    static CommentIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): React.JSX.Element;
    static ForwardIcon({ bodyStyle, title, overlayClassName }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassName: any;
    }): React.JSX.Element;
    static ImageFileIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static PublishContactsIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static PublishDontShareIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static PublishPrivateIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static PublishPublicIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static PublishShareWithIcon({ title, overlayClass, bodyStyle }: {
        title?: string | undefined;
        overlayClass: any;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static NonPublicIcon({ title, bodyStyle }: {
        title?: string | undefined;
        bodyStyle?: {} | undefined;
    }): React.JSX.Element;
    static Notification({ bodyStyle, title, overlayClassNames }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
        overlayClassNames: any;
    }): React.JSX.Element;
    static GreyMoreActionIcon({ bodyStyle, title }: {
        bodyStyle?: {} | undefined;
        title?: string | undefined;
    }): React.JSX.Element;
    static MomentsActionReport({ bodyStyle, overlayClass, title }: {
        bodyStyle?: {} | undefined;
        overlayClass: any;
        title?: string | undefined;
    }): React.JSX.Element;
    static MiniProIcon({ bodyStyle, overlayClassName, title }: {
        bodyStyle?: {} | undefined;
        overlayClassName?: string | undefined;
        title?: string | undefined;
    }): React.JSX.Element;
}
import React from "react";
